-- --------------------------------------------------------
-- Host:                         127.0.0.1
-- Versión del servidor:         5.7.21-log - MySQL Community Server (GPL)
-- SO del servidor:              Win64
-- HeidiSQL Versión:             9.5.0.5196
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


-- Volcando estructura de base de datos para dadespublicitat
DROP DATABASE IF EXISTS `dadespublicitat`;
CREATE DATABASE IF NOT EXISTS `dadespublicitat` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `dadespublicitat`;

-- Volcando estructura para tabla dadespublicitat.age
DROP TABLE IF EXISTS `age`;
CREATE TABLE IF NOT EXISTS `age` (
  `AgeKey` smallint(6) NOT NULL AUTO_INCREMENT COMMENT 'PK subrogada',
  `AgeInterval` varchar(5) NOT NULL COMMENT 'Rang d''edat',
  PRIMARY KEY (`AgeKey`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8 COMMENT='Taula de la dimensio "Age"';

-- La exportación de datos fue deseleccionada.
-- Volcando estructura para tabla dadespublicitat.ctr
DROP TABLE IF EXISTS `ctr`;
CREATE TABLE IF NOT EXISTS `ctr` (
  `NetworkKey` smallint(6) NOT NULL COMMENT 'Clau de xarxa social',
  `DateKey` smallint(6) NOT NULL COMMENT 'Clau de data',
  `LocationKey` smallint(6) NOT NULL COMMENT 'Clau de localitzacio',
  `ProductKey` smallint(6) NOT NULL COMMENT 'Clau de producte',
  `GenderKey` smallint(6) NOT NULL COMMENT 'Clau de genere',
  `AgeKey` smallint(6) NOT NULL COMMENT 'Clau d''edat',
  `LikeKey` smallint(6) NOT NULL COMMENT 'Clau d''aficions',
  `Prints` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Número d''impressions de l''anunci',
  `Hits` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Numero de clics sobre l''anunci',
  PRIMARY KEY (`NetworkKey`,`DateKey`,`LocationKey`,`ProductKey`,`GenderKey`,`AgeKey`,`LikeKey`),
  KEY `FK_CRT_DATE` (`DateKey`),
  KEY `FK_CTR_LOCATION` (`LocationKey`),
  KEY `FK_CTR_PRODUCT` (`ProductKey`),
  KEY `FK_CTR_GENDER` (`GenderKey`),
  KEY `FK_CTR_AGE` (`AgeKey`),
  KEY `FK_CTR_LIKES` (`LikeKey`),
  CONSTRAINT `FK_CRT_DATE` FOREIGN KEY (`DateKey`) REFERENCES `date` (`DateKey`),
  CONSTRAINT `FK_CTR_AGE` FOREIGN KEY (`AgeKey`) REFERENCES `age` (`AgeKey`),
  CONSTRAINT `FK_CTR_GENDER` FOREIGN KEY (`GenderKey`) REFERENCES `gender` (`GenderKey`),
  CONSTRAINT `FK_CTR_LIKES` FOREIGN KEY (`LikeKey`) REFERENCES `likes` (`LikeKey`),
  CONSTRAINT `FK_CTR_LOCATION` FOREIGN KEY (`LocationKey`) REFERENCES `location` (`LocationKey`),
  CONSTRAINT `FK_CTR_NETWORK` FOREIGN KEY (`NetworkKey`) REFERENCES `network` (`NetworkKey`),
  CONSTRAINT `FK_CTR_PRODUCT` FOREIGN KEY (`ProductKey`) REFERENCES `product` (`ProductKey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Taula de fets';

-- La exportación de datos fue deseleccionada.
-- Volcando estructura para tabla dadespublicitat.date
DROP TABLE IF EXISTS `date`;
CREATE TABLE IF NOT EXISTS `date` (
  `DateKey` smallint(6) NOT NULL AUTO_INCREMENT COMMENT 'PK subrogada',
  `Date` date NOT NULL COMMENT 'Data',
  `Day` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Dia del camp Date',
  `DayOfWeek` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Ordinal del dia de la setmana del camp Date',
  `DayOfWeekName` varchar(10) NOT NULL DEFAULT '0' COMMENT 'Nom de l''ordinal del dia de la setmana',
  `DayOfWeekShortName` varchar(3) NOT NULL DEFAULT '0' COMMENT 'Abreviatura del nom del dia de la setmana',
  `Week` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Setmana a la que es correspon el camp Date',
  `Month` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Mes del camp Date',
  `MonthName` varchar(25) NOT NULL DEFAULT '0' COMMENT 'Nom del mes al que es correspon el camp Date',
  `Quarter` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Trimestre al que es correspon el camp Date',
  `QuarterName` varchar(2) NOT NULL DEFAULT '0' COMMENT 'Nom del trimeste',
  `Semester` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Semestre al que es correspon en camp Date',
  `SemesterName` varchar(2) NOT NULL DEFAULT '0' COMMENT 'Nom del semestre',
  `Year` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Any del camp Date',
  `YearMonth` varchar(10) NOT NULL DEFAULT '0' COMMENT 'Any i mes al que es correspon el camp Date',
  `YearMonthName` varchar(50) NOT NULL DEFAULT '0' COMMENT 'Nom complert de l''any i mes del camp Date',
  `YearQuarterName` varchar(10) NOT NULL DEFAULT '0' COMMENT 'Nom complert de l''any i trimestre del camp Date',
  `YearSemesterName` varchar(10) NOT NULL DEFAULT '0' COMMENT 'Nom complert de l''any i semestre del camp Date',
  PRIMARY KEY (`DateKey`)
) ENGINE=InnoDB AUTO_INCREMENT=4381 DEFAULT CHARSET=utf8 COMMENT='Taula de la dimensio temporal Date';

-- La exportación de datos fue deseleccionada.
-- Volcando estructura para tabla dadespublicitat.gender
DROP TABLE IF EXISTS `gender`;
CREATE TABLE IF NOT EXISTS `gender` (
  `GenderKey` smallint(6) NOT NULL AUTO_INCREMENT COMMENT 'PK subrogada',
  `GenderName` varchar(10) NOT NULL COMMENT 'Nom del genere',
  PRIMARY KEY (`GenderKey`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8 COMMENT='Taula de la dimensio "Gender"';

-- La exportación de datos fue deseleccionada.
-- Volcando estructura para tabla dadespublicitat.likes
DROP TABLE IF EXISTS `likes`;
CREATE TABLE IF NOT EXISTS `likes` (
  `LikeKey` smallint(6) NOT NULL AUTO_INCREMENT COMMENT 'PK subrogada',
  `LikeName` varchar(10) NOT NULL COMMENT 'Nom de l''aficio',
  PRIMARY KEY (`LikeKey`)
) ENGINE=InnoDB AUTO_INCREMENT=73 DEFAULT CHARSET=utf8 COMMENT='Taula de la dimensió Likes';

-- La exportación de datos fue deseleccionada.
-- Volcando estructura para tabla dadespublicitat.location
DROP TABLE IF EXISTS `location`;
CREATE TABLE IF NOT EXISTS `location` (
  `LocationKey` smallint(6) NOT NULL AUTO_INCREMENT COMMENT 'PK subrogada',
  `CityZipCode` varchar(10) NOT NULL COMMENT 'Codi Postal de la localitzacio',
  `CityName` varchar(50) NOT NULL COMMENT 'Ciutat de la localitzacio',
  `ZoneName` varchar(50) NOT NULL COMMENT 'Zona geografica de la localitzacio',
  PRIMARY KEY (`LocationKey`)
) ENGINE=InnoDB AUTO_INCREMENT=133 DEFAULT CHARSET=utf8 COMMENT='Taula de la dimensio "Location"';

-- La exportación de datos fue deseleccionada.
-- Volcando estructura para tabla dadespublicitat.network
DROP TABLE IF EXISTS `network`;
CREATE TABLE IF NOT EXISTS `network` (
  `NetworkKey` smallint(6) NOT NULL AUTO_INCREMENT COMMENT 'PK subrogada',
  `NetworkName` varchar(10) NOT NULL DEFAULT '0' COMMENT 'Nom de la xarxa social',
  PRIMARY KEY (`NetworkKey`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8 COMMENT='Taula de la dimensió Network';

-- La exportación de datos fue deseleccionada.
-- Volcando estructura para tabla dadespublicitat.product
DROP TABLE IF EXISTS `product`;
CREATE TABLE IF NOT EXISTS `product` (
  `ProductKey` smallint(6) NOT NULL AUTO_INCREMENT COMMENT 'PK subrogada',
  `ProductName` varchar(50) NOT NULL DEFAULT '0' COMMENT 'Nom del producte',
  `FamilyName` varchar(50) NOT NULL DEFAULT '0' COMMENT 'Familia del producte',
  PRIMARY KEY (`ProductKey`)
) ENGINE=InnoDB AUTO_INCREMENT=89 DEFAULT CHARSET=utf8 COMMENT='Taula de la dimensio "Product"';

-- La exportación de datos fue deseleccionada.
/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
